# RPC Commands

## `cr.reload_routes`

This command reloads the routing data from the data source.

Name: cr.reload_routes

Parameters:

- none

Important: When new domains have been added, a restart of the server must be done, because the mapping of the ids used in the config script cannot be updated at runtime at the moment. So a reload could result in a wrong routing behaviour, because the ids used in the script could differ from the one used internally from the server. Modifying of already existing domains is no problem.

## `cr.dump_routes`

This command prints the route rules on the command line.

Name: cr.dump_routes

Parameters:

- none

## `cr.add_host`

This command adds a new host to the route rules

Name: cr.add_host

Parameters:

- One long string parameter that contains the arguments for this command

Example:

- kamcmd cr.add_host -- '-h test.domain.com:5060 -d proxy -p null -w 0.1'

## `cr.delete_host`

This command deletes a host from the route rules

Name: cr.delete_host

Parameters:

- One long string parameter that contains the arguments for this command

Example:

- kamcmd cr.delete_host -- '-h test.domain.com:5060 -d proxy -p null'

## `cr.activate_host`

This command activates a host from the route rules

Name: cr.activate_host

Parameters:

- One long string parameter that contains the arguments for this command

Example:

- kamcmd cr.activate_host -- '-h test.domain.com:5060 -d proxy -p null'

## `cr.deactivate_host`

This command deactivates a host from the route rules

Name: cr.deactivate_host

Parameters:

- One long string parameter that contains the arguments for this command

Example:

- kamcmd cr.deactivate_host -- '-h test.domain.com:5060 -d proxy -p null'

## `cr.replace_host`

This command replaces a host from the route rules

Name: cr.replace_host

Parameters:

- One long string parameter that contains the arguments for this command

Example:

- kamcmd cr.replace_host -- '-h test1.domain.com:5060 -d proxy -t test2.domain.com:5060'